/*-------------------------Variables-----------------------*/
:root {
    --blue-clr: #033559;
    --dark-blue-clr:#001F36;
    --red-clr: #C00001;
    --black-clr: #000;
    --white-clr: #fff;
}



.lpx6VnBZqi_W0t49PbpN._yt2xIzwJsjp0eWacJSD {
    max-width:100% !important;
}

/*-------------------------Settings-----------------------*/
body {
    background-color: #001F36 !important;
}

body.overlay-cls {
    position: relative;
    overflow: hidden;
}

body.overlay-cls:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .5);
    z-index: 99;
}

.text-white, a.text-white {
	color: var(--white-clr);
}


@media(min-width:768px){
	.angled-image {
	  position: relative;
	  /* width: fit-content; */
	  width: 100%;
	  display: inline-block;
	  clip-path: polygon(25% 0%, 100% 0%, 100% 100%, 0% 100%, 0% 100%);
	  overflow: hidden;
	}    
}

/*--------------------font sizes--------------------*/
.font-9xl .elementor-heading-title{
    font-size:90px!important;
}

.font-8xl .elementor-heading-title{
    font-size:60px!important;
}

.font-6xl .elementor-heading-title{
    font-size:60px!important;
}

.font-5xl .elementor-heading-title{
    font-size:50px!important;
}
.font-4xl .elementor-heading-title{
    font-size:42px!important;
}
.font-3xl .elementor-heading-title{
    font-size:36px!important;
}
.font-2xl .elementor-heading-title{
    font-size:32px!important;
}
.font-xl .elementor-heading-title{
    font-size:24px!important;
}
.font-l .elementor-heading-title{
    font-size:20px!important;
}
.font-m .elementor-heading-title,
.font-m .elementor-widget-container{
    font-size:18px!important;
}
.font-s .elementor-heading-title,
.font-s .elementor-widget-container{
    font-size:16px!important;
}
.font-xs .elementor-heading-title,
.font-xs .elementor-widget-container{
    font-size:12px!important;
}


@media(max-width:767px){
    
.font-9xl .elementor-heading-title{
    font-size:40px!important;
}
.font-8xl h1.elementor-heading-title{
    font-size:36px!important;
	line-height: 1.2em;
	margin: 6px 0;
}
.font-6xl .elementor-heading-title{
    font-size:30px!important;
}
.font-5xl .elementor-heading-title{
    font-size:25px!important;
}
.font-4xl .elementor-heading-title{
    font-size:24px!important;
}
.font-3xl .elementor-heading-title{
    font-size:22px!important;
}
.font-2xl .elementor-heading-title{
    font-size:16px!important;
}
.font-xl .elementor-heading-title{
    font-size:22px!important;
}
.font-l .elementor-heading-title{
    font-size:18px!important;
}
.font-m .elementor-heading-title,
.font-m .elementor-widget-container{
    font-size:16px!important;
}
.font-s .elementor-heading-title,
.font-s .elementor-widget-container{
    font-size:16px!important;
}
}

/*--------------------appointment form----------------*/
.appointment-form{
    background: #fff;
    padding: 50px;
    color: #000;
}

.appointment-form h3{
  margin: 0 0 30px;
    font-weight: 400;
    color: #000;
}
.appointment-form .nf-form-content nf-fields-wrap{
        display: flex;
    flex-wrap: wrap;
    align-items: end;
}
.appointment-form .nf-form-content nf-fields-wrap nf-field{
    width: 50%;
    padding: 0 10px;
}
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(3),
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(11),
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(12),
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(13){
    width: 100%;
}
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(6),
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(7),
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(8){
    width: 33%;
}

.appointment-form input[type="text"],
.appointment-form input[type="number"],
.appointment-form input[type="email"],
.appointment-form input[type="url"],
.appointment-form input[type="password"],
.appointment-form input[type="search"],
.appointment-form input[type=reset],
.appointment-form input[type=tel],
.appointment-form input[type=date],
.appointment-form select {
    height: 40px!important;
}

.appointment-form input[type="text"],
.appointment-form input[type="number"],
.appointment-form input[type="email"],
.appointment-form input[type="url"],
.appointment-form input[type="password"],
.appointment-form input[type="search"],
.appointment-form input[type=reset],
.appointment-form input[type=tel],
.appointment-form input[type=date],
.appointment-form select,
.appointment-form textarea{
        background: #0000000d;
}

.appointment-form .field-wrap.checkbox-wrap .nf-field-label{
    padding: 0;
}

.appointment-form .submit-wrap input{
        width: 100%!important;
    background: #3D3D3D;
}

.appointment-form .nf-form-fields-required,
.appointment-form .ninja-forms-req-symbol{
    display:none;
}


@media(max-width:767px){
.appointment-form {
    padding: 20px;
}  

.appointment-form h3 {
    margin: 0 0 20px;
    font-size: 26px;
    text-align:center;
}
.appointment-form .nf-form-content nf-fields-wrap nf-field{
    width: 100%;
}
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(6),
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(7),
.appointment-form .nf-form-content nf-fields-wrap nf-field:nth-child(8){
    width: 100%;
}
}


/*------------------------------tyson-form-----------------*/

.tyson-form{
    background: #fff;
    
    color: #000;
}

.tyson-form h3{
margin: 0 0 30px;
    font-weight: 700;
    color: #000;
    text-align: center;
    font-size: 36px;
    font-style: italic;
    text-transform: uppercase;
}
.tyson-form .nf-form-content nf-fields-wrap{
        display: flex;
    flex-wrap: wrap;
    align-items: end;
}
.tyson-form .nf-form-content nf-fields-wrap nf-field{
    width: 50%;
    padding: 0 10px;
}

.tyson-form .nf-form-content nf-fields-wrap nf-field:nth-child(3),
.tyson-form .nf-form-content nf-fields-wrap nf-field:nth-child(4){
    width: 25%;
}
.tyson-form .nf-form-content nf-fields-wrap nf-field:nth-last-child(1){
    width: 100%;
}

.tyson-form input[type="text"],
.tyson-form input[type="number"],
.tyson-form input[type="email"],
.tyson-form input[type="url"],
.tyson-form input[type="password"],
.tyson-form input[type="search"],
.tyson-form input[type=reset],
.tyson-form input[type=tel],
.tyson-form input[type=date],
.tyson-form select {
    height: 40px!important;
}

.tyson-form input[type="text"],
.tyson-form input[type="number"],
.tyson-form input[type="email"],
.tyson-form input[type="url"],
.tyson-form input[type="password"],
.tyson-form input[type="search"],
.tyson-form input[type=reset],
.tyson-form input[type=tel],
.tyson-form input[type=date],
.tyson-form select,
.tyson-form textarea{
        background: #fff;
}

.tyson-form .field-wrap.checkbox-wrap .nf-field-label{
    padding: 0;
}

.tyson-form .submit-wrap input{
        width: 100%!important;
    background: #023E6A;
    color:#fff;
    text-transform: uppercase;
}

.tyson-form .nf-field-element textarea {
    height: 90px;
}
.tyson-form .nf-form-fields-required,
.tyson-form .ninja-forms-req-symbol{
    display:none;
}

@media(max-width:767px){
.tyson-form {
    padding: 20px;
}  
.tyson-form .nf-form-content nf-fields-wrap nf-field {
    padding: 0 5px;
}
.tyson-form h3 {
    margin: 0 0 20px;
    font-size: 26px;
    text-align:center;
}
.tyson-form .nf-form-content nf-fields-wrap nf-field{
    width: 100%;
    padding: 0 10px;
}

.tyson-form .nf-form-content nf-fields-wrap nf-field:nth-child(3),
.tyson-form .nf-form-content nf-fields-wrap nf-field:nth-child(4){
    width: 50%;
}
}

/*-------------------Header-------------------------*/

.container,
#ast-desktop-header {
    max-width: 1400px;
    padding-left: 20px;
    padding-right: 20px;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
}

#masthead,
.ast-primary-header-bar {
    background: var(--blue-clr);
    border: 0;
}

.ast-container {
    max-width: 100% !important;
    padding: 0 !important;
}

#ast-desktop-header .ast-primary-header-bar {
    border: none;
}

#ast-desktop-header {
    display: block !important;
}

#ast-mobile-header {
    display: none !important;
}

.custom-menu .siderbar-custom-menu {
    position: fixed;
    top: 0;
    right: -480px;
    width: 480px;
    height: 100vh;
    background: #033559;
    transition: right 0.3s ease-in-out;
    box-shadow: -5px 0 10px rgba(0, 0, 0, 0.2);
    padding: 50px;
    overflow-y: auto;
}

.custom-menu .siderbar-custom-menu.active {
    right: 0;
}


.custom-menu .close-menu {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 20px;
    color: white;
    cursor: pointer;
}


.custom-menu .hamburger {
    cursor: pointer;
}


.custom-menu .sub-menu {
    width: 100%;
    margin: 5px 0 0;
    display: none;
    transition: all 0.3s ease-in-out;
}

.custom-menu .sub-menu.active {
    display: block;
}

.custom-menu ul.menu>li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 15px 0px;
    line-height: normal;
    border-bottom: 1px solid #255478;
}

.custom-menu ul.menu>li a {
    color: #fff;
    text-transform: uppercase;
    font-style: italic;
    font-size: 22px;
    font-weight: 700;
}

.custom-menu ul.menu li a:hover {
    color: #C00001;
}

.custom-menu ul li button {
    display: inline-block;
    padding: 0;
}

.custom-menu ul.sub-menu li {
    margin: 8px 0 0;
}

.custom-menu ul.sub-menu li a {
    color: #fff;
    text-transform: none;
    font-style: normal;
    font-size: 16px;
    font-weight: 400;
}

.custom-menu li .ast-menu-toggle:focus,
.custom-menu li .ast-menu-toggle:focus-visible {
    outline: none;
}

.custom-menu .ast-icon.icon-arrow svg {
    height: 10px;
    width: 17px;
    margin-left: 0px;
}

.custom-menu .inner-sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.custom-menu .bottom-side-bar {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 40px;
}

.custom-menu .custom-social-icons {
    display: flex;
    align-items: center;
    gap: 10px;
}

.custom-menu .custom-social-icons svg {
    width: 20px;
    height: 20px;
}

.custom-menu .custom-social-icons svg path {
    fill: #fff;
}

.custom-header-menu ul.menu>li.menu-item.active .ast-menu-toggle {
    transform: rotate(180deg)
}

.custom-menu li.menu-item-has-children{
    cursor:pointer;
    user-select: none;
}
.custom-menu li.menu-item-has-children:hover > a{
        color: #c00001;
}

@media(max-width:767px) {
    #ast-desktop-header .ast-builder-grid-row {
        grid-template-columns: 1fr 1fr;
    }

    #ast-desktop-header .ast-builder-grid-row .site-header-primary-section-left,
    #ast-desktop-header .ast-builder-grid-row .ast-builder-layout-element.ast-header-button-1 {
        display: none;
    }

    .custom-menu .siderbar-custom-menu {
        right: -100%;
        width: 100%;
        height: 100vh;
        padding: 40px 20px;
    }

    #ast-desktop-header .site-primary-header-wrap {
        width: 100%;
    }

    .custom-menu .close-menu svg {
        width: 30px;
        height: 30px;
    }

    .custom-menu .close-menu {
        top: 5px;
    }

    .custom-menu ul.menu>li {
        padding: 10px 0px;
    }

    .custom-menu ul.menu>li a {
        font-size: 18px;
    }

    .custom-menu .ast-icon.icon-arrow svg {
        width: 14px;
    }

    .custom-menu ul.sub-menu li {
        margin: 6px 0 0;
    }

    .custom-menu ul.sub-menu li a {
        font-size: 14px;
    }

    .custom-menu .hamburger svg {
        width: 25px;
    }
}

/*-------------------Footerr-------------------------*/
footer a {
	color: var(--white-clr);
}

#astra-footer-menu .menu-item > a {
	font-weight: 300;
}

footer p,
footer .widget_block {
    margin-bottom: 0;
}

footer .widget_block a {
    text-decoration: underline;
}

footer #astra-footer-menu {
    gap: 10px;
    font-weight: 100;
}

@media(max-width:767px){
    footer .site-above-footer-wrap{
        padding: 40px 20px;
    }
    footer .ast-builder-footer-grid-columns{
        gap: 20px;
    }
    footer .site-above-footer-wrap aside.footer-widget-area{
        text-align:center!important;
        display: flex!important;
        align-items: start;
        justify-content: center;
        gap: 8px;
    }
    
    footer .ast-builder-footer-grid-columns .site-footer-above-section-1{
        order: 4;
        border-top: 1px solid;
        padding-top: 20px;
    }
    footer .ast-builder-footer-grid-columns .site-footer-above-section-2{
        order: 1;
    }
    footer .ast-builder-footer-grid-columns .site-footer-above-section-3{
        order: 2;
    }
    footer .ast-builder-footer-grid-columns .site-footer-above-section-4{
        order: 3;
    }
    footer .ast-builder-footer-grid-columns .site-footer-above-section-5{
        order: 5;
    }
}

/*-----------------------------------------Home Page---------------------------------------------*/
/*--------------------Repair & Srvices---------------*/
.repair-relative{
    position: relative;
    max-width: 800px;
    margin: auto;
}
.repair-absolute{
    max-width:480px;
    position: absolute;
    top: 5%;
    left: 0;
    right: 0;
    margin: auto;
}


@media(max-width:767px){
.repair-relative.repair-consultation{
    padding-top: 20%;
    background: #e0e0db;
}    
}

@media(max-width:400px){
.repair-relative.repair-consultation{
    padding-top: 30%;
}    
}

/*----------------------engine-install------------*/


.engine-install{
    position: relative;
}
.engine-install-absolute{
    max-width:480px;
    position: absolute;
    top: 50%;
    left: 6%;
    transform:translateY(-50%);
    margin: auto;
    z-index:1;
}
.engine-install img{
    min-height:300px;
    object-fit: cover;
}

@media(max-width:767px){
.engine-install-absolute{
        position: unset;
    transform: unset;
}
}




/*--------------------Home main banner---------------*/
.home-banner {
    position: relative;
}

.home-banner .banner-content {
    position: absolute;
    top: 5%;
    left: 0;
    right: 0;
    margin: auto;
}

.home-banner .banner-content .banner-headings {
    max-width: 670px;
    margin: auto;
}


@media(max-width:767px){
    .home-banner .elementor-button-wrapper{
    max-width: 280px;
    margin: auto;
}    

.home-banner .elementor-button .elementor-button-content-wrapper{
 justify-content: space-between;   
}

}


/*--------------------engine main banner---------------*/
.engine-banner {
    position: relative;
}

.engine-banner .banner-content {
    position: absolute;
    top: 5%;
    left: 0;
    right: 0;
    margin: auto;
}

.engine-banner .banner-content .banner-headings {
    max-width: 800px;
    margin: auto auto auto 4%;
}

.engine-banner h1 span{
    color: #C00001;
}

.engine-banner .desc-cls{
    max-width: 435px!important;
}

@media(max-width:767px){
    .engine-banner .elementor-button-wrapper{
    max-width: 280px;
    margin: auto;
}    

.engine-banner .elementor-button .elementor-button-content-wrapper{
 justify-content: space-between;   
}
.engine-banner .years-cls{
    display:none!important;
}
.engine-banner .banner-content .banner-headings {
    max-width: 800px;
    margin: auto;
}

}
/*-------------------------------Engune Products---------------*/
.engine-products .desc-cls{
    max-width: 800px!important;
}

/*-----------------Testimonial setion---------------------------*/
.testimonial-section {
    max-width: 1400px !important;
}

.testimonial-slider .slick-initialized .slick-slide {
    margin: 0 20px !important;
    padding: 30px 20px !important;
    position: relative;
}

.testimonial-slider .slick-initialized .slick-slide:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border: 1px solid #255478;
    transform: skewX(-10deg);
    border-radius: 11px;
}

.testimonial-slider .slingle-slider {
    text-align: center;
}

.testimonial-slider h2 {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 700;
    margin: 0 0 10px;
}

.testimonial-slider p {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.6;
    margin: 0;
}

.testimonial-slider strong {
    font-weight: 300;
    font-style: italic;
    margin-top: 15px;
    display: inline-block;
}

@media(min-width: 992px){
    .testimonial-slider .slick-arrow {
        display: none !important;
    }
}


@media(max-width: 991px){
    
    body .testimonial-slider.elementor-element .htslider-slider-area .htslider-slider .slick-arrow,
    body .testimonial-slider.elementor-element .htslider-slider-area .htslider-slider .slick-arrow:hover{
        background-color: transparent !important;
        border: 0!important;
        color: #fff!important;
    }
    body .testimonial-slider.elementor-element .htslider-slider-area .htslider-slider .slick-arrow svg path,
    body .testimonial-slider.elementor-element .htslider-slider-area .htslider-slider .slick-arrow:hover svg path{
        fill:#fff;
    }
    .testimonial-slider .slick-arrow svg path{
        fill:#fff;
    }
    .testimonial-slider .slick-initialized .slick-slide:before{
        display:none;
    }
    .testimonial-slider .slick-initialized .slick-slide {
        margin: 0 0px !important;
        padding: 10px !important;
    }
    .testimonial-slider .slick-arrow{
        bottom: -30%!important;
        top: unset!important;
    }
    .testimonial-slider .slick-arrow.slick-next{
        right: 0!important;
    }
    .testimonial-slider .slick-arrow.slick-prev{
        left: 0!important;
    }
}

/*------------------------faq section-----------------------*/
.faq-section .e-n-accordion details.e-n-accordion-item {
    border-bottom: 1px solid var(--blue-clr);
}

.faq-section .e-n-accordion details.e-n-accordion-item .e-n-accordion-item-title {
    padding: 0 0 10px;
}

.faq-section .e-n-accordion details.e-n-accordion-item .elementor-element {
    padding: 0 0 5px;
}


/*-------------------------video section----------------------------*/
.video-section img {
    transform: scale(1);
    transition: .2s ease-in-out 0s;
}

.video-section img:hover {
    transform: scale(1.05);
    transition: .2s ease-in-out 0s;
}


/*-----------------------------------------About Us Page---------------------------------------------*/

.about-banner{
    position:relative;
}
.about-banner .elementor-widget-heading{
    position:absolute;
    left:50%;
    top:50%;
    transform:translate(-50%,-50%);
}


.team-section .team-person{
    position:relative;
}

.team-section .team-person .team-name{
    position: absolute;
    left: 20px;
    bottom: 20px;
}
.team-section .team-person .team-name h3{
    font-size:20px!important;
}
.team-section .team-person .team-name h4{
    font-size:18px!important;
}
.team-section .team-person > .elementor-widget-image{
    overflow:hidden;
}
.team-section .team-person img{
    filter: grayscale(1);
    transform: scale(1);
    transition: .3s ease-in-out 0s;
}
.team-section .team-person:hover img{
    filter: grayscale(0);
    transform: scale(1.1);
    transition: .3s ease-in-out 0s;
}


@media(max-width:767px){
    .team-section .team-person .team-name h3{
    font-size:18px!important;
}
.team-section .team-person .team-name h4{
    font-size:16px!important;
}
}


/*--------------------------------Machine page-----------------------------*/
.machine-banner{
    position:relative;
}
.machine-banner-title{
    position:absolute;
    top:10%;
    left:0;
    right:0;
    margin:auto;
}
.machine-service-section ul{
    margin:0!important;
}

.machine-banner{
    position:relative;
}
.machine-banner .elementor-widget-heading{
    position:absolute;
    left:50%;
    top:30%;
    transform:translate(-50%,-50%);
    width: 100%;
}

/*----------------------diagnose-list---------------*/
.diagnose-list ul{
    margin: 0 0 0 30px!important;
}

/*----------------------conatct form------------*/
.custom-form-wrapper {
  padding: 40px 20px;
  text-align: center;
}

.custom-form-wrapper .form-title {
  color: #fff;
  font-size: 34px;
  font-weight: bold;
  margin-bottom: 30px;
  font-style: italic;
  text-transform: uppercase;
}


.custom-form-wrapper input[type="text"],
.custom-form-wrapper input[type="email"],
.custom-form-wrapper input[type="tel"],
.custom-form-wrapper textarea {
  width: 100%;
  max-width: 500px;
  background: #fff;
  color: #000;
  padding: 14px;
  margin-bottom: 14px;
  border: none;
  border-bottom: 0px solid #000;
  font-size: 16px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  border-radius: 0;
  box-shadow: none;
  min-height: 52px;
}


.custom-form-wrapper input[type="text"]::placeholder,
.custom-form-wrapper input[type="email"]::placeholder,
.custom-form-wrapper input[type="tel"]::placeholder,
.custom-form-wrapper textarea::placeholder {
  color: #000;  
  font-size: 16px;
}


.custom-form-wrapper label {
  display: none;
}


.custom-form-wrapper input[type="submit"] {
  background: #aaa;
  color: #fff;
  font-weight: bold;
  font-size: 18px;
  padding: 14px 40px;
  border: none;
  cursor: pointer;
  margin-top: 0px;
  text-transform: uppercase;
  width: 100%;
max-width: 500px;
border-radius: 0;
}
.custom-form-wrapper input[type="submit"]:hover {
  background:#c00001;
}

.custom-form-wrapper .wpcf7-spinner{
    position: absolute;
}

@media(max-width:767px){
.custom-form-wrapper .form-title {
    font-size: 24px;
}
}

/*---------------------- ST ---------------*/

.grid-2-columns .elementor-widget-image {
    width: 100%;
}

.page-id-1071 #content {
	background: linear-gradient(to right, #1b1b25, #181924);
}

.text-left, .text-left .elementor-button {
	text-align: left;
}

.min-w-348 {
	min-width: 348px;
}

.object-cover, .object-cover img {
	object-fit: cover;
}

@media(max-width:767px){
	.hide-on-mobile {
		display: none;
	}
}

.expert-care-text {
	max-width: var(--content-width);
    margin: 0 auto;
}

.expert-care-text .e-con-inner {
	max-width: 480px;
    margin-left: 0;
}


@media(max-width:767px){
	.video-section .e-con-inner {
		display: block;
	}
}

.hidden {
	display: none;
}

.site-footer-section-1 img {
	max-width: 150px;
}

.form-notification-text {
    width: 100%;
	max-width: 500px;
    margin: 0 auto 30px;
    background: #061f35;
    color: #fff;
    padding: 24px 15px;
}

.form-notification-text p {
	margin: 0;
}

.form-notification-text p + p {
	margin-top: 20px;
}

.form-notification-text a {
	font-size: 18px;
	text-decoration: underline;
	font-weight: 500;
	padding: 5px;
}

.custom-form-wrapper .wpcf7-form-control-wrap {
	width: 100%;
	max-width: 500px;
	margin: 0 auto;
}



